PixelmonCraft ATLauncher on Windows and Mac

  • 40 posts

Stay connected with PixelmonCraft and download ATLauncher with the PixelmonCraft pack.

How to install ATLauncher and PixelmonCraft pack on Windows & Mac.

Windows:

How to install ATLauncher and PixelmonCraft pack on a Windows PC.

Download: http://www.atlauncher.com/download/exe/
Pack: http://www.atlauncher.com/pack/PixelmonCraft/
Code: pixelmoncraft

Mac:

How to install ATLauncher and PixelmonCraft pack on a Mac.

Download: http://www.atlauncher.com/download/zip/
Pack: http://www.atlauncher.com/pack/PixelmonCraft/
Code: pixelmoncraft

Images: 

Nice work whitesheep

Up to version 1.3-3.0.4

Changelog

Fixed issue with Optifine crash when starting a battle. 

ADDED
* Optifine HD D1
* Optifine HD Ultra D1

REMOVED
* Optifine Light C7 (not working with Pixelmon 3.0.4)

We <3 you

"When life gives you lemons, check if one of them is Lemonita.

If it is, you have just successfully kidnapped Lemonita!" ~AzureSkyheart

Stickied and moved to FAQ.

even though I know how to install mods, this is geniune.

Hey, did as the first video said, everything 100% correctly, but when im clicking play nothing happens, only getting : Checking for updated files - No update found! And back to scratch;p please help me out here:)? 

UPDATED AND FIXED! IZI

Great guide, I installed everything and I will be playing tomorrow!

Looking forward to winning some badges!

Welcome Mawilite, i also still use the ATLauncher everyday on my second computer, it works great.

Up to version 1.4-3.0.4

New client mods and updates.

ADDED
* OpenEye (crash reports)
* Not Enough Keys
* Not Enough Items
* Chat Bubbles
* CodeChickenCore (lib)

UPDATES
* JourneyMap 4.0.1

Shortly PixelmonMod 3.1 update!

Not Enough Items...

New logo!

Pixelmon v3.1, Minecraft 1.7.2 and Forge 10.12.2.1121 update!

UPDATES
* Forge 1.7.2-10.12.2.1121
* Pixelmon 3.1
* Zan's Minimap 1.7.2 (VoxelMap)
* JourneyMap 1.7.2
* Optifine HD 1.7.2
* Optifine HD Ultra 1.7.2
* Inventory Tweaks 1.7.2
* Chat Bubbles 1.7.2
* Inventory Tweaks 1.57-116

REMOVED
* Not Enough Keys (outdated)
* Rei's Minimap (outdated)
* Not Enough Items (waiting for fix)
* CodeChickenCore

Thanks 

iiXxDABOSSxXii

Pack up to 3.1.2 and is now public!

Think it needs an official Texture pack :) 

Pack is updated to Pixelmon 3.1.4.

I use the ATLauncher.

The other day It started to tell me that an update was ready. So I updated but was disappointed to see that the 2.0-3.1.4 (MC 1.7.2) still does not have NEI. I see you said you removed it because you are "waiting for a fix". Will this fix be added to the ATLauncher when you have it and post here to say so? It's just I like using NEI instead of having to look things up a wiki every time. It's helping me a lot seeing i'm new to Pixelmon, i.e how to make the different balls and such. As I can't find a wiki here on how to make things like the Minecraft wiki does.

Until the fix for NEI is ready I'll head back to 1.4-3.0.4 (MC 1.6.4).

I really wish I started playing Pixelmon sooner, I love it.

Yes we waiting for a NEI fix (alternative version of NEI)/

Pixelmon v3.2-BETA, Minecraft 1.7.10 and Forge 10.13.0.1180 update!

UPDATES
* Forge 10.13.0.1180
* Pixelmon 3.2-BETA

Pixelmon 3.2-Beta is taking place on planetpixelmon.com, after we declared this update to be stable #Hoenn will be updated and we will start working a transition to 3.2 for #Kanto and #Johto.

I tried using the code whitesheep entered for the pack "pixelmoncraft" but that doesn't work for me. Has the code changed? or did i just see it wrong? Ignore this post, figured out the problem :P

Do you actually need this is something for the new update if so I don't xD I still play it without it.

You dont need it Burn its just a nice feature for the server to offer players that otherwise might be unable to figure out how to install all these different mods, I personally cant get this to work so i just run it myself lol

As usual the ATLauncher Pixelmoncraft instance is updated to the latest version of pixelmon.

You can also select version 3.3.3 on ATLauncher now, best is to install a second instance.

add CraftGuide thats usefull and handy

Hey sorry, this is probs in the wrong spot, but i am now currently receiving an error when trying to log in.

"Failed to connect to the server"
"Error occurred while contacting login servers, are they down?"

i was wondering if this was because they are down, or if its client side?

It has nothing to do with the ATlauncher. The Minecraft servers where down but they're up again.

Private Message here for assistance.

What is that texture pack in the first picture? Looks really cool (:

"Woohoo I'm a bug reporter!" Maddiesprint:  26/02/2015: #Overexaggerate

"Over 300 posts!" Maddiesprint: 15/03/2015: #Forumposter

 

Is not a texturepack is the new default launcher for our PixelmonCraft pack

Oh I see it now, since when was that there? Btw did you make this 'texture pack' or whatever it is?

"Woohoo I'm a bug reporter!" Maddiesprint:  26/02/2015: #Overexaggerate

"Over 300 posts!" Maddiesprint: 15/03/2015: #Forumposter

 

Cool

"Woohoo I'm a bug reporter!" Maddiesprint:  26/02/2015: #Overexaggerate

"Over 300 posts!" Maddiesprint: 15/03/2015: #Forumposter

 

Why Can't I Join A Multiplayer Server On ATLauncher

What does it say when you try and join?

"Woohoo I'm a bug reporter!" Maddiesprint:  26/02/2015: #Overexaggerate

"Over 300 posts!" Maddiesprint: 15/03/2015: #Forumposter

 

hoe moet je    beginnen

 

The servers are updated to Pixelmon 3.5.1 aka the Legacy update, the status bar states 3.5.0 due a bug in the version release, this will be fixed on the next patch.

Pack updated with Pixelmon 5.0.3.

Hello I need help please, every time I try to join the server it says Mod rejections [FMLMod:pixelmon{5.0.4}] even though I am in that pixelmon version please help!

Are you sure you put the Pixelmon 5.0.4 in the fight folder?,  it should be in the Mods folder.

- Give 100%, 110% is impossible. Only idiots recommend that.

- Never half-ass 2 things, whole-ass 1 thing.

Ron Swanson

Pack updated with Pixelmon 5.0.4.